Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | List of all members
faiss::DistanceComputer Struct Referenceabstract
Inheritance diagram for faiss::DistanceComputer:

## Public Types
using | idx_t = Index::idx_t

## Public Member Functions
virtual void | set_query (const float *x)=0
| called before computing distances
virtual float | operator() (idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (idx_t i, idx_t j)=0
| compute distance between two stored vectors

## Detailed Description

Definition at line 231 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/AuxIndexStructures.h